Subject: Re: bug#58149: guix pull error

From: Matthieu Haefele <[email-masked]>
Date: Thu, 6 Oct 2022 14:14:02 +0200

Le 06/10/2022 à 12:30, zimoun a écrit :
> On Thu, 6 Oct 2022 at 12:10, Matthieu Haefele <[email-masked]> wrote:
>
>
>> 1. What am I doing wrong to have stuck to this old guix daemon all this time ? Shall I run this `sudo -i guix pull` regularly to
>> keep my daemon up to date ? But then it looks like I am the only one who faced this issue, weird, no ? And problems should have
>> started back in February, but I intensively worked on guix this summer, including some `guix pull`... If reasons are not too
>> complicated, I am interested in getting some insights.
>
> Personally, I run "guix pull" as root (update the daemon) each every
> while. ;-)  Usually, at each new release and/or when I read (guix pull
> --news; as regular user) something important.

Thanks for the explaination, it confirms what I understood. Maybe the three lines above should be part of some best practise or 
documentation, especially for people like me running guix on a foreign distro without using the distro's package manager. I do not 
remember having seen such recommendation.

Thanks again
Best,
Mat